package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuAddRequest struct {
	/*
	   商品列表     */
	ParamList *[]domain.AlibabaWdkSkuAddSkuDo `json:"param_list" required:"true" `
}

func (s *AlibabaWdkSkuAddRequest) SetParamList(v []domain.AlibabaWdkSkuAddSkuDo) *AlibabaWdkSkuAddRequest {
	s.ParamList = &v
	return s
}

func (req *AlibabaWdkSkuAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamList != nil {
		paramMap["param_list"] = util.ConvertStructList(*req.ParamList)
	}
	return paramMap
}

func (req *AlibabaWdkSkuAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
